# WOK
TKWOK
WOKAPI

# WOKAPI_Unit Class Reference

Unit API in WOK
.

`#include <WOKAPI_Unit.hxx>`

Inheritance diagram for WOKAPI_Unit:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | WOKAPI_Unit ()
Standard_EXPORT | WOKAPI_Unit (const WOKAPI_Entity &aent)
Standard_EXPORT | WOKAPI_Unit (const WOKAPI_Session &asession, const Handle(TCollection_HAsciiString)&aname, const Standard_Boolean verbose=Standard_True, const Standard_Boolean getit=Standard_True)
Standard_EXPORT Standard_Character | TypeKey () const
Standard_EXPORT Handle_TCollection_HAsciiString | Type () const
Standard_EXPORT Handle_WOKUtils_HSequenceOfParamItem | BuildParameters (const WOKAPI_Session &asession, const Handle(TCollection_HAsciiString)&apath, const Standard_Character acode, const Handle(WOKTools_HSequenceOfDefine)&defines, const Standard_Boolean usedefaults)
Standard_EXPORT Standard_Boolean | Build (const WOKAPI_Session &asession, const Handle(TCollection_HAsciiString)&apath, const Standard_Character acode, const Handle(WOKTools_HSequenceOfDefine)&defines, const Standard_Boolean usedefaults)
virtual Standard_EXPORT Standard_Boolean | Destroy ()
virtual Standard_EXPORT Standard_Boolean | IsValid () const
Standard_EXPORT void | Files (const WOKAPI_Locator &alocator, WOKAPI_SequenceOfFile &fileseq) const

## Constructor & Destructor Documentation

Standard_EXPORT WOKAPI_Unit::WOKAPI_Unit | ( |  | ) |

Standard_EXPORT WOKAPI_Unit::WOKAPI_Unit | ( | const WOKAPI_Entity & | aent | ) |

Standard_EXPORT WOKAPI_Unit::WOKAPI_Unit | ( | const WOKAPI_Session & | asession,
|  | const Handle(TCollection_HAsciiString)& | aname,
|  | const Standard_Boolean | verbose = `Standard_True`,
|  | const Standard_Boolean | getit = `Standard_True`
| ) |

## Member Function Documentation

Standard_EXPORT Standard_Boolean WOKAPI_Unit::Build | ( | const WOKAPI_Session & | asession,
|  | const Handle(TCollection_HAsciiString)& | apath,
|  | const Standard_Character | acode,
|  | const Handle(WOKTools_HSequenceOfDefine)& | defines,
|  | const Standard_Boolean | usedefaults
| ) |

Standard_EXPORT Handle_WOKUtils_HSequenceOfParamItem WOKAPI_Unit::BuildParameters | ( | const WOKAPI_Session & | asession,
|  | const Handle(TCollection_HAsciiString)& | apath,
|  | const Standard_Character | acode,
|  | const Handle(WOKTools_HSequenceOfDefine)& | defines,
|  | const Standard_Boolean | usedefaults
| ) |

virtual Standard_EXPORT Standard_Boolean WOKAPI_Unit::Destroy | ( |  | ) | `[virtual]`

| Reimplemented from WOKAPI_Entity.

Standard_EXPORT void WOKAPI_Unit::Files | ( | const WOKAPI_Locator & | alocator,
|  | WOKAPI_SequenceOfFile & | fileseq
| ) | const

virtual Standard_EXPORT Standard_Boolean WOKAPI_Unit::IsValid | ( |  | ) | const`[virtual]`

| Reimplemented from WOKAPI_Entity.

void WOKAPI_Unit::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from WOKAPI_Entity.

void* WOKAPI_Unit::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from WOKAPI_Entity.

void* WOKAPI_Unit::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from WOKAPI_Entity.

Standard_EXPORT Handle_TCollection_HAsciiString WOKAPI_Unit::Type | ( |  | ) | const

Standard_EXPORT Standard_Character WOKAPI_Unit::TypeKey | ( |  | ) | const

The documentation for this class was generated from the following file:

- WOKAPI_Unit.hxx